<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Base64编码器/解码器</title>
    <style>
        body {
            font-family: 'Futura', sans-serif; /* 使用现代感十足的字体 */
            background-color: #000; /* 深色背景 */
            color: #00ff80; /* 霓虹绿 */
            margin: 0;
            padding: 0;
            display: flex;
            justify-content: center;
            align-items: center;
            height: n～n+20000vh; /* 修复了逗号错误 */
        }
        .container {
            max-width: 800px;
            width: 100%;
            padding: 20px;
            background-color: #000; /* 深色背景 */
            box-shadow: 0 0 20px #00ff80, 0 0 40px #00ff80; /* 霓虹灯效果 */
            border-radius: 10px;
            border: 2px solid #00ff80; /* 霓虹绿边框 */
        }
        h2 {
            text-align: center;
            color: #00ff80;
            margin-bottom: 20px;
            text-shadow: 0 0 10px #00ff80; /* 文字阴影 */
        }
        .form-group {
            margin-bottom: 20px;
        }
        label {
            display: block;
            margin-bottom: 5px;
            font-weight: bold;
            color: #00ff80;
        }
        textarea, input[type="file"], select {
            width: 100%;
            padding: 10px;
            border: 1px solid #00ff80;
            border-radius: 4px;
            background-color: #000;
            color: #00ff80;
        }
        button {
            width: 100%;
            padding: 10px;
            background-color: #00ff80;
            color: #000;
            border: none;
            border-radius: 4px;
            cursor: pointer;
            font-size: 16px;
            transition: background-color 0.3s ease;
        }
        button:hover {
            background-color: #00e676;
        }
        .result {
            margin-top: 20px;
            padding: 10px;
            background-color: #000;
            border: 1px solid #00ff80;
            border-radius: 4px;
            font-size: 14px;
            white-space: pre-wrap; /* 保留换行符并自动换行 */
            word-wrap: break-word; /* 长单词或URL强制换行 */
            overflow: auto; /* 如果内容超出容器，自动显示滚动条 */
            max-height: 300px; /* 设置最大高度，防止内容过高 */
            color: #00ff80;
        }
        .error {
            color: #ff0000;
            font-size: 14px;
            margin-top: 10px;
        }
    </style>
</head>
<body>
    <div class="container">
        <section class="decoder-form">
            <h2>Base64编码器/解码器</h2>
            <form id="decoder" method="POST" enctype="multipart/form-data">
                <div class="form-group">
                    <label for="encodedString">请输入Base64字符串或待编码内容：</label>
                    <textarea id="encodedString" name="encodedString" rows="4" placeholder="输入Base64字符串或待编码内容..."></textarea>
                </div>
                
                <div class="form-group">
                    <label for="file">或者上传包含Base64字符串的文件：</label>
                    <input type="file" name="file" id="file">
                </div>
                
                <div class="form-group">
                    <label for="operation">选择操作：</label>
                    <select name="operation" id="operation">
                        <option value="decode">单次解码</option>
                        <option value="encode5">连续五次编码</option>
                        <option value="decode5">连续五次解码</option>
                    </select>
                </div>
                
                <div class="form-group">
                    <button type="submit">提交</button>
                </div>
            </form>
        </section>
        
        <section class="decoder-result">
            <?php
            // Base64解码函数
            function base64_decoder($encodedString) {
                $encodedString = str_replace([" ", "\n", "\r"], "", $encodedString);
                if (empty($encodedString)) {
                    return ["success" => false, "message" => "输入的字符串为空！"];
                }

                $paddingNeeded = 4 - (strlen($encodedString) % 4);
                if ($paddingNeeded < 4) {
                    $encodedString .= str_repeat("=", $paddingNeeded);
                }

                if (!preg_match('/^[a-zA-Z0-9\+\/\=]+$/', $encodedString)) {
                    return ["success" => false, "message" => "输入的字符串不是有效的Base64编码！"];
                }

                $decodedString = base64_decode($encodedString, true);
                if ($decodedString === false) {
                    return ["success" => false, "message" => "解码失败，请检查输入是否为有效的Base64字符串！"];
                }

                return ["success" => true, "message" => $decodedString];
            }

            // Base64编码函数
            function base64_encoder($string) {
                return base64_encode($string);
            }

            // 处理表单提交
            $result = null;
            if ($_SERVER['REQUEST_METHOD'] == 'POST') {
                $operation = $_POST['operation'] ?? 'decode';

                if (isset($_FILES['file']) && $_FILES['file']['error'] == 0) {
                    $content = file_get_contents($_FILES['file']['tmp_name']);
                } elseif (isset($_POST['encodedString'])) {
                    $content = $_POST['encodedString'];
                } else {
                    $result = ["success" => false, "message" => "未提供有效的输入！"];
                }

                if ($result === null) {
                    switch ($operation) {
                        case 'decode':
                            $result = base64_decoder($content);
                            break;
                        case 'encode5':
                            $intermediateResults = []; // 用于存储每次编码的中间结果
                            for ($i = 0; $i < 5; $i++) {
                                $content = base64_encoder($content);
                                $intermediateResults[] = $content; // 保存中间结果
                            }
                            $result = ["success" => true, "message" => $content, "intermediateResults" => $intermediateResults];
                            break;
                        case 'decode5':
                            $intermediateResults = []; // 用于存储每次解码的中间结果
                            for ($i = 0; $i < 5; $i++) {
                                $decoded = base64_decoder($content);
                                if (!$decoded['success']) {
                                    $result = $decoded;
                                    break;
                                }
                                $content = $decoded['message'];
                                $intermediateResults[] = $content; // 保存中间结果
                            }
                            if ($result === null) {
                                $result = ["success" => true, "message" => $content, "intermediateResults" => $intermediateResults];
                            }
                            break;
                    }
                }
            }

            if (isset($result)) {
                echo '<div class="result">';
                if ($result['success']) {
                    echo '<strong>操作成功：</strong>';
                    echo '<p>最终结果: ' . htmlspecialchars($result['message']) . '</p>';
                    if (isset($result['intermediateResults'])) {
                        echo '<p><strong>中间结果：</strong></p>';
                        foreach ($result['intermediateResults'] as $index => $intermediateResult) {
                            echo '<p>第' . ($index + 1) . '次结果: ' . htmlspecialchars($intermediateResult) . '</p>';
                        }
                    }
                } else {
                    echo '<strong>操作失败：</strong>';
                    echo '<p>' . htmlspecialchars($result['message']) . '</p>';
                }
                echo '</div>';
            }
            include "activity.html";
            ?>
        </section>
    </div>
    
        <!-- 在原有脚本引用前添加 -->
    <script src="zuzhi.js"></script>
    
</body>

</html>